Package net.shibboleth.idp.saml.profile.impl

# Class PopulateInboundMessageContextWithSAMLSelf

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
org.opensaml.profile.action.AbstractProfileAction
org.opensaml.profile.action.AbstractConditionalProfileAction
net.shibboleth.idp.profile.AbstractProfileAction
net.shibboleth.idp.saml.profile.impl.PopulateInboundMessageContextWithSAMLSelf

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `ProfileAction`, `Aware`, `MessageSource`, `MessageSourceAware`, `Action`

public class PopulateInboundMessageContextWithSAMLSelf extends AbstractProfileAction
Action that adds a `SAMLSelfEntityContext` to the inbound `MessageContext`

The `SAMLSelfEntityContext` is populated based on the identity of the IdP, as derived by a lookup strategy.

Event:
  `EventIds.INVALID_PROFILE_CTX`, `EventIds.PROCEED_EVENT_ID`

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.
`private Function<ProfileRequestContext,String>`
`selfIdentityLookupStrategy`
Strategy used to obtain the self identity value.

## Constructor Summary

Constructors
Constructor
Description
`PopulateInboundMessageContextWithSAMLSelf()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doExecute(ProfileRequestContext profileRequestContext)`
`void`
`setSelfIdentityLookupStrategy(Function<ProfileRequestContext,String> strategy)`
Set the strategy used to locate the self identity value to use.

### Methods inherited from class net.shibboleth.idp.profile.AbstractProfileAction

`doExecute, execute, getBean, getBean, getMessage, getMessage, getMessage, getParameter, getParameter, getProfileContextLookupStrategy, getRequestContext, getResult, setMessageSource, setProfileContextLookupStrategy`

### Methods inherited from class org.opensaml.profile.action.AbstractConditionalProfileAction

`doPreExecute, getActivationCondition, setActivationCondition`

### Methods inherited from class org.opensaml.profile.action.AbstractProfileAction

`doPostExecute, doPostExecute, ensureHttpServletRequest, ensureHttpServletResponse, execute, getHttpServletRequest, getHttpServletRequestSupplier, getHttpServletResponse, getHttpServletResponseSupplier, getLogPrefix, isPreExecuteCalled, setHttpServletRequestSupplier, setHttpServletResponseSupplier`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, doInitialize, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

### selfIdentityLookupStrategy

@Nonnull private Function<ProfileRequestContext,String> selfIdentityLookupStrategy
Strategy used to obtain the self identity value.

## Constructor Details

### PopulateInboundMessageContextWithSAMLSelf

public PopulateInboundMessageContextWithSAMLSelf()
Constructor.

## Method Details

### setSelfIdentityLookupStrategy

public void setSelfIdentityLookupStrategy(@Nonnull Function<ProfileRequestContext,String> strategy)
Set the strategy used to locate the self identity value to use.

Parameters:
  `strategy` - lookup strategy

### doExecute

protected void doExecute(@Nonnull ProfileRequestContext profileRequestContext)

Overrides:
  `doExecute` in class `AbstractProfileAction`